Bug 124072

Summary: Web Inspector: remove -webkit-min and -webkit-max from CSS completions
Product: WebKit Reporter: Joseph Pecoraro <joepeck>
Component: Web InspectorAssignee: Joseph Pecoraro <joepeck>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, graouts, jeffrey+webkit, joepeck, simon.fraser, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
[PATCH] Proposed Fix
timothy: review+
[PATCH] Fixed ChangeLog none

Description Joseph Pecoraro 2013-11-08 14:06:30 PST
It looks like these were at one point added to the CSS parser but have no real implementation and were removed from the related CSS 3 spec.

Note that Web Inspector includes completions for these functions which should also be removed if they are unimplemented:
<http://trac.webkit.org/browser/trunk/Source/WebInspectorUI/UserInterface/CSSKeywordCompletions.js>

---

CSS Values and Units Module Level 3 - 9/6/2011 - had min() and max()
<http://www.w3.org/TR/2011/WD-css3-values-20110906/#calc>

CSS Values and Units Module Level 3 - 7/30/2013 - doesn't have them:
<http://www.w3.org/TR/css3-values/>

They may be re-introduced in Values and Units 4:
<http://www.w3.org/Style/CSS/Tracker/issues/203>
"min() and max() were deferred due to concerns about defining behavior in shrinkwrap cases. If we can figure this out, we should put them back in Level 4."
Comment 1 Radar WebKit Bug Importer 2013-11-08 14:06:49 PST
<rdar://problem/15427989>
Comment 2 Joseph Pecoraro 2013-11-08 14:12:13 PST
Created attachment 216438 [details]
[PATCH] Proposed Fix
Comment 3 Vicki Pfau 2013-11-08 14:14:11 PST
Comment on attachment 216438 [details]
[PATCH] Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=216438&action=review

> Source/WebInspectorUI/ChangeLog:8
> +        -webkit-min and -webkit-max are implemented in WebCore, despite mentions of it.

nit: You appear to have left out a negative here
Comment 4 Joseph Pecoraro 2013-11-08 15:11:06 PST
Created attachment 216447 [details]
[PATCH] Fixed ChangeLog
Comment 5 WebKit Commit Bot 2013-11-08 15:45:16 PST
Comment on attachment 216447 [details]
[PATCH] Fixed ChangeLog

Clearing flags on attachment: 216447

Committed r158966: <http://trac.webkit.org/changeset/158966>
Comment 6 WebKit Commit Bot 2013-11-08 15:45:18 PST
All reviewed patches have been landed.  Closing bug.